{
	"name": "table/external/ksef/other/preference.json",
	"table_name": "preference",
	"table_prefix": "prf",
	"record_type": ["external"],
	"local_table": "preference",
	"local_record_type": "external",
	"default_field": "table/prf/default_field.json",
	"default_order": [],
	"field": [
		{
			"field_name": "name_id",
			"local_field": "name_id",
			"field_type": "text",
			"constraint": ["primary key"]
		},
		{
			"field_name": "organization_id",
			"local_field": "organization_id",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "info",
			"local_field": "info",
			"field_type": "text"
		}
	],
	"extra_field": [
		{
			"field_name": "json_data.referenceNumber",
			"local_field": "json_data.referenceNumber",
			"field_type": "text"
		},
		{
			"field_name": "json_data.description",
			"local_field": "json_data.description",
			"field_type": "text"
		},
		{
			"field_name": "json_data.authorIdentifier",
			"local_field": "json_data.authorIdentifier",
			"field_type": "json"
		},
		{
			"field_name": "json_data.contextIdentifier",
			"local_field": "json_data.contextIdentifier",
			"field_type": "json"
		},
		{
			"field_name": "json_data.requestedPermissions",
			"local_field": "json_data.requestedPermissions",
			"field_type": "json"
		},
		{
			"field_name": "json_data.status",
			"local_field": "json_data.status",
			"field_type": "json"
		},
		{
			"field_name": "json_data.status.code",
			"local_field": "json_data.status.code",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.status.description",
			"local_field": "json_data.status.description",
			"field_type": "text"
		},
		{
			"field_name": "json_data.dateCreated",
			"local_field": "json_data.dateCreated",
			"field_type": "text"
		},
		{
			"field_name": "json_data.lastUseDate",
			"local_field": "json_data.lastUseDate",
			"field_type": "text"
		},
		{
			"field_name": "json_data.sessionStatus",
			"local_field": "json_data.sessionStatus",
			"field_type": "text"
		},
		{
			"field_name": "json_data.processingStatus",
			"local_field": "json_data.processingStatus",
			"field_type": "text"
		},
		{
			"field_name": "json_data.sessionToken",
			"local_field": "json_data.session_token",
			"field_type": "text"
		},
		{
			"field_name": "json_data.openTimestamp",
			"local_field": "json_data.openTimestamp",
			"field_type": "text"
		},
		{
			"field_name": "json_data.expiryTimestamp",
			"local_field": "json_data.expiryTimestamp",
			"field_type": "text"
		},
		{
			"field_name": "json_data.validUntil",
			"local_field": "json_data.validUntil",
			"field_type": "text"
		},
		{
			"field_name": "json_data.dateUpdated",
			"local_field": "json_data.dateUpdated",
			"field_type": "text"
		},
		{
			"field_name": "json_data.totalInvoiceCount",
			"local_field": "json_data.totalInvoiceCount",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.successfulInvoiceCount",
			"local_field": "json_data.successfulInvoiceCount",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.failedInvoiceCount",
			"local_field": "json_data.failedInvoiceCount",
			"field_type": "integer"
		}
	]
}
